LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices


Reply
  Search this Thread
Old 01-10-2007, 03:26 PM   #1
markelo
Member
 
Registered: Mar 2004
Distribution: Red hat 9 -> 64bit fedora
Posts: 190

Rep: Reputation: 30
fc6 yum install/update problems ( Solved but still mysterious )


It is getting very difficult to update 64-bit FC6 with yum. There is python issue, there is kdeedu.i386 issue and now I have stumbled on this

Code:
yum update dbus-x11
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package dbus-x11.x86_64 0:1.0.1-9.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: dbus = 1.0.1-9.fc6 for package: dbus-x11
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package dbus.x86_64 0:1.0.1-9.fc6 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 dbus-x11                x86_64     1.0.1-9.fc6      updates            29 k
Updating for dependencies:
 dbus                    x86_64     1.0.1-9.fc6      updates           467 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total download size: 495 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:   file /etc/dbus-1/session.conf from install of dbus-1.0.1-9.fc6 conflicts with file from package dbus-1.0.1-8.fc6
  file /etc/rc.d/init.d/messagebus from install of dbus-1.0.1-9.fc6 conflicts with file from package dbus-1.0.1-8.fc6
What good is yum for if you always have to use rpm with --force and --nodpes options ?

I am sorry for this nasty looking post/rant but I am getting fed up with many FC6 problems-

Some one should simply make minimall install with fedora DVD and then start to use yum to install packages/ggroups and see the results.

Last edited by markelo; 01-10-2007 at 05:10 PM.
 
Old 01-10-2007, 04:32 PM   #2
nonfatalexec
Member
 
Registered: May 2006
Location: Toronto, Canada
Distribution: Fedora 17
Posts: 36

Rep: Reputation: 15
I believe the errors may be caused by dependency bugs in the updated package. If I were you, I would file a bug report at http://bugzilla.redhat.com and take suggestions from the developers.
 
Old 01-10-2007, 04:49 PM   #3
bugmenot60
Member
 
Registered: Mar 2006
Posts: 47

Rep: Reputation: 15
markelo,

FC6-x86_64 has numerous problems and was clearly rushed to release.

FC6 is the WORST release of Fedora ever.
 
Old 01-10-2007, 05:06 PM   #4
markelo
Member
 
Registered: Mar 2004
Distribution: Red hat 9 -> 64bit fedora
Posts: 190

Original Poster
Rep: Reputation: 30
Quote:
Originally Posted by bugmenot60
markelo,

FC6-x86_64 has numerous problems and was clearly rushed to release.

FC6 is the WORST release of Fedora ever.
I am beginning to agree with you but I thought that atleast updates would be done right.

Anyway I managed to get past the problem by using yum. Here is how I did it.

First
yum remove dbus-x11 and all dependencies.

then
yum install dbus.
yum update would not work and would only give the same erros as before ( why ? ).

Then I can install newest version of dbus-x11.
 
Old 01-10-2007, 07:06 PM   #5
IBall
Senior Member
 
Registered: Nov 2003
Location: Perth, Western Australia
Distribution: Ubuntu, Debian, Various using VMWare
Posts: 2,088

Rep: Reputation: 62
Quote:
Originally Posted by bugmenot60
FC6-x86_64 has numerous problems and was clearly rushed to release.

FC6 is the WORST release of Fedora ever.
Unfortunately, I tend to agree. I recently did a clean install of Fedora Core 6 from the DVD.

There were hundreds of updated packages available (obviously, I would expect nothing less when a distro has been out a few months), and it took me about an hour to manually fix all the errors when trying to install the updates (not including download time). This is on x86_64, and the problem was often with i386 packages that were installed as well.

I too feel that Fedore 6 x86_64 was rushed to release. I don't know abut i386. I think that the release should not be made until it is stable on all supported platforms. This is similar to the way the Debian project does things. If the release can not be made stable on a partitcular platform, then it should not be released on that platform. Likewise, updates should only be available when they will install without problems.

--Ian
 
Old 01-11-2007, 05:41 AM   #6
Junior Hacker
Senior Member
 
Registered: Jan 2005
Location: North America
Distribution: Debian testing Mandriva Ubuntu
Posts: 2,687

Rep: Reputation: 61
I only had one update that gave me errors, the FRYSK update for x86_64.
How did I fix it?
Simple, I use the GUI software updater instead of typing my fingers off, I already lost part of an index finger in a log hauling accident, and the GUI gives more info on what goes wrong, the frysk updates gave me similar errors, I un-checked it in the list of updates. The frysk package as it is, causes me no problems, I ask myself "is it a life & death situation?" answer---> NO. So try it again in a month or so, they might have the problem fixed then.
It's kind of like that old cliche, "If it ain't broke, don't fix it"
I love this Fedora 6, I'm a Mandrake fan (not Mandriva)(well, half & half as the merger was in the proccess when this one was released) and think my Mandrake 10.2 i686 is not "Rock solid" but more like "Diamond solid", but I find myself in this Fedora more often now and slowly improving it to the point I'm about to ask people if there is a more solid mineral/substance to compare this Fedora too.

Last edited by Junior Hacker; 01-11-2007 at 05:50 AM.
 
Old 01-11-2007, 01:39 PM   #7
markelo
Member
 
Registered: Mar 2004
Distribution: Red hat 9 -> 64bit fedora
Posts: 190

Original Poster
Rep: Reputation: 30
Well Junior Hacker. If 64-bit FC6 once gets in a state where nothing in my use doesn't behave erratically I will not update. Right now that state looks to be in a galaxy far far away...

But I also like this FC6 very much ( except it doesn't let me play zangband ). It is these small problems that just make things very annoying.

Yeah alright I could do everything what I wanted with 64-bit FC5 but wanted to try new xorg and AIGLX. And pam problems were fixed so there were nice steps forward with FC6. It just these updates seems just jump around a straight path.
 
Old 01-11-2007, 06:59 PM   #8
Junior Hacker
Senior Member
 
Registered: Jan 2005
Location: North America
Distribution: Debian testing Mandriva Ubuntu
Posts: 2,687

Rep: Reputation: 61
OK ALL:
Please do not be offended as I shed a little light on what is the preferred approach in regards to applying updates.

For instance:
This is my approach. When I look at the list of available updates through the GUI software updater, I will highlight an individual package and click on the DETAILS button to see what the update addresses, most often there is not much info in that little window, but there is a blue colored link that takes me to the bug-report web page that tells the story involved with the update.
Lets just say from a hypothetical situation that an update I'm looking at says "This up-date fixes a bug reported where Opera would crash when you plug your Mp3 player into a usb port". Again, this is just a hypothetical situation.
The best way for me to approach the installation of this particular update is to ask myself if I need it, "Do i have Opera? will I ever use or install Opera? do I have a usb mp3 player? and finally: do I need this update, does it apply to my computer's configuration?.
Quite frankly, as I read the reports on updates, I come to realize that it does not affect me, should I install it?. Well I usually opt to install it anyway because HDD space is not an issue if that update is a little larger than it's predecessor, and just incase I do get into the Opera thing, I'll save me the couple minutes that it would take to apply that update in the future when it is actually needed.
But if it gives me conflicting errors (POSSIBLY BECAUSE I DON'T HAVE OPERA INSTALLED), than I just ignore it, as I said above, "Why try to fix something that ain't broke".
I'm not about to run down Fedora's team for their massive efforts just because I'm too stupid or lazy, and don't read before flapping my gums. You do not need to apply all updates in the list, generally (to keep your particular setup in tip top shape), you should only apply the updates that "improve" your particular configuration.

Again, pardon me for being blunt, please don't be offended, but the Windows approach will not yeild the same results in a Linux environment.

Last edited by Junior Hacker; 01-11-2007 at 07:02 PM.
 
Old 01-11-2007, 08:36 PM   #9
IBall
Senior Member
 
Registered: Nov 2003
Location: Perth, Western Australia
Distribution: Ubuntu, Debian, Various using VMWare
Posts: 2,088

Rep: Reputation: 62
Normally, updates are only given for packages that you actually have installed. Updates for packages that you do not have will not be reported.

--Ian
 
Old 01-11-2007, 11:12 PM   #10
Junior Hacker
Senior Member
 
Registered: Jan 2005
Location: North America
Distribution: Debian testing Mandriva Ubuntu
Posts: 2,687

Rep: Reputation: 61
You are right and I'm sure you'll agree that I did not need to be told that. The point I'm trying to make is that packages are more or less "generic" and will not always work on every configuration for a couple obvious reasons.

1: Technology in the personal computer industry is rapidly changing and every day there is new hardware introduced and not all of it conforms to set standards. Look at this from a World Wide perspective.

2: When it comes to Linux which is under GPL licence, you are allowed to alter (customize) anything within that system, and trust me, it happens, ask yourself this ---> Should Linux based developers be required to design their operating systems to take into account every possible small configuration change you make in this complex system which can alter third party software behavior, which by the way makes up the majority of the Operating system. Most of the updates relate to third party software not designed by Fedora developers "per-say". And there is big box full of the stuff in the Linux world. So why run them down when just like any other distribution's goal, is to put together the best configuration of the more popular products.
We are not required to accept "Terms of agreement" like in the Windows world whose operating system is tightly controlled, making it hard for you to alter it to the point where their updates produce errors.
Unlike windows, here you have the choice of making your own decisions, don't rely on the developers to make all your decisions in this vast ever changing Linux world. There is a reason most Windows users start playing with Linux, one of those reasons is the need for more control over something they own (possession is nine tenths of the law)(sort of a misleading cliche), subconsciously they (I included) like to have the freedom to try things they can't do in Windows, there are a multitude of reasons, but if you wan't independence you won't get it depending on others to make your decisions, stop, read, and learn instead of bitching because your Linux distro is not "Windows like" and be a part of the solution by reporting bugs. If you were to solve a bug, you would most like dive in hard and boost your self-esteem something fierce because of your accomplishment. The chances of something like that happening in the Windows world is "slim to none" if you're not on payroll. And when you're on a payroll, it's just a job, it becomes boring, and the drive eventually fades. That's what makes this open source world appealing, not being controled.

Last edited by Junior Hacker; 01-11-2007 at 11:40 PM.
 
Old 01-12-2007, 12:12 AM   #11
Hitboxx
Senior Member
 
Registered: Mar 2006
Location: India
Distribution: Fedora
Posts: 1,562
Blog Entries: 3

Rep: Reputation: 61
FC6 64bit rocks!!

First of all guys, i want to scream, ***I have no problems with my FC6 64bit in any areas*** Ah what a relief

Now that being out of the way, markelo show me the output of 'yum list installed | grep i386'.
 
Old 01-12-2007, 12:57 AM   #12
markelo
Member
 
Registered: Mar 2004
Distribution: Red hat 9 -> 64bit fedora
Posts: 190

Original Poster
Rep: Reputation: 30
Here are my 32-bit packages. First part

Code:
AdobeReader_enu.i386                     7.0.8-1                installed       
GConf2.i386                              2.14.0-8.fc6           installed       
GConf2-devel.i386                        2.14.0-8.fc6           installed       
ImageMagick.i386                         6.2.8.0-3.fc6.1        installed       
ImageMagick-c++.i386                     6.2.8.0-3.fc6.1        installed       
ImageMagick-c++-devel.i386               6.2.8.0-3.fc6.1        installed       
ImageMagick-devel.i386                   6.2.8.0-3.fc6.1        installed       
NetworkManager-glib.i386                 1:0.6.4-5.fc6          installed       
ORBit2.i386                              2.14.3-4.fc6           installed       
ORBit2-devel.i386                        2.14.3-4.fc6           installed       
PyQt-devel.i386                          3.16-4                 installed       
SDL.i386                                 1.2.10-8.fc6           installed       
SDL-devel.i386                           1.2.10-8.fc6           installed       
Xaw3d.i386                               1.5E-10.1              installed       
Xaw3d-devel.i386                         1.5E-10.1              installed       
alsa-lib.i386                            1.0.12-2.fc6           installed       
alsa-lib-devel.i386                      1.0.12-2.fc6           installed       
apr.i386                                 1.2.7-10               installed       
apr-util.i386                            1.2.7-3                installed       
arts.i386                                8:1.5.5-0.1.fc6        installed       
arts-devel.i386                          8:1.5.5-0.1.fc6        installed       
aspell.i386                              12:0.60.3-7.1          installed       
at-spi.i386                              1.7.11-2.fc6           installed       
at-spi-devel.i386                        1.7.11-2.fc6           installed       
atk.i386                                 1.12.2-1.fc6           installed       
atk-devel.i386                           1.12.2-1.fc6           installed       
audiofile.i386                           1:0.2.6-5              installed       
audit-libs.i386                          1.3-2.fc6              installed       
avahi.i386                               0.6.15-1.fc6           installed       
avahi-compat-howl.i386                   0.6.15-1.fc6           installed       
avahi-glib.i386                          0.6.15-1.fc6           installed       
avahi-glib-devel.i386                    0.6.15-1.fc6           installed       
avahi-qt3.i386                           0.6.15-1.fc6           installed       
beecrypt.i386                            4.1.2-10.1.1           installed       
boost.i386                               1.33.1-10.fc6          installed       
boost-devel.i386                         1.33.1-10.fc6          installed       
bzip2-devel.i386                         1.0.3-3                installed       
bzip2-libs.i386                          1.0.3-3                installed       
cairo.i386                               1.2.6-1.fc6            installed       
cairo-java.i386                          1.0.5-3.fc6            installed       
cdparanoia-libs.i386                     alpha9.8-27.2          installed       
compat-libstdc++-33.i386                 3.2.3-61               installed       
control-center.i386                      1:2.16.0-11.fc6        installed       
coolkey.i386                             1.0.1-10               installed       
coolkey-devel.i386                       1.0.1-10               installed       
cracklib.i386                            2.8.9-3.1              installed       
cryptsetup-luks.i386                     1.0.3-2.1              installed       
cups-libs.i386                           1:1.2.7-1.3.fc6        installed       
curl.i386                                7.15.5-1.fc6           installed       
curl-devel.i386                          7.15.5-1.fc6           installed       
cyrus-sasl-devel.i386                    2.1.22-4               installed       
cyrus-sasl-lib.i386                      2.1.22-4               installed       
db4.i386                                 4.3.29-9.fc6           installed       
db4-devel.i386                           4.3.29-9.fc6           installed       
dbus.i386                                1.0.1-9.fc6            installed       
dbus-glib.i386                           0.70-6.fc6             installed       
dbus-glib-devel.i386                     0.70-6.fc6             installed       
devhelp.i386                             0.12-9.fc6             installed       
device-mapper.i386                       1.02.07-3              installed       
e2fsprogs-devel.i386                     1.39-7.fc6             installed       
e2fsprogs-libs.i386                      1.39-7.fc6             installed       
eel2.i386                                2.16.1-1.fc6           installed       
elfutils-devel.i386                      0.123-1.fc6            installed       
elfutils-libelf.i386                     0.123-1.fc6            installed       
elfutils-libelf-devel.i386               0.123-1.fc6            installed       
elfutils-libs.i386                       0.123-1.fc6            installed       
esound.i386                              1:0.2.36-3             installed       
evolution.i386                           2.8.2.1-2.fc6          installed       
evolution-data-server.i386               1.8.2-1.fc6            installed       
expat.i386                               1.95.8-8.2.1           installed       
expat-devel.i386                         1.95.8-8.2.1           installed       
firefox.i386                             1.5.0.9-1.fc6          installed       
flac.i386                                1.1.2-27               installed       
fontconfig.i386                          2.4.1-3.fc6            installed       
fontconfig-devel.i386                    2.4.1-3.fc6            installed       
freetype.i386                            2.2.1-16.fc6           installed       
freetype-devel.i386                      2.2.1-16.fc6           installed       
fribidi.i386                             0.10.7-5.1             installed       
gail.i386                                1.9.2-1.fc6            installed       
gail-devel.i386                          1.9.2-1.fc6            installed       
gaim.i386                                2:2.0.0-0.26.beta5.fc6 installed       
gamin.i386                               0.1.7-8.fc6            installed       
gd.i386                                  2.0.33-9.3.fc6         installed       
gd-devel.i386                            2.0.33-9.3.fc6         installed       
gdb.i386                                 6.5-15.fc6             installed       
gdbm.i386                                1.8.0-26.2.1           installed       
gdbm-devel.i386                          1.8.0-26.2.1           installed       
gettext.i386                             0.14.6-3.fc6           installed       
gettext-devel.i386                       0.14.6-3.fc6           installed       
ghostscript.i386                         8.15.3-1.fc6           installed       
ghostscript-devel.i386                   8.15.3-1.fc6           installed       
giflib.i386                              4.1.3-7.1              installed       
giflib-devel.i386                        4.1.3-7.1              installed       
gimp-devel.i386                          2:2.2.13-1.fc6         installed       
gimp-libs.i386                           2:2.2.13-1.fc6         installed       
glib-java.i386                           0.2.6-3.fc6            installed       
glib2.i386                               2.12.3-2.fc6           installed       
glib2-devel.i386                         2.12.3-2.fc6           installed       
glibc-devel.i386                         2.5-10.fc6             installed       
gmime.i386                               2.2.3-3.fc6            installed       
gmime-devel.i386                         2.2.3-3.fc6            installed       
gmp.i386                                 4.1.4-9.fc6            installed       
gmp-devel.i386                           4.1.4-9.fc6            installed       
gnome-desktop.i386                       2.16.0-1.fc6           installed       
gnome-desktop-devel.i386                 2.16.0-1.fc6           installed       
gnome-keyring.i386                       0.6.0-1.fc6            installed       
gnome-media.i386                         2.16.1-2.fc6           installed       
gnome-media-devel.i386                   2.16.1-2.fc6           installed       
gnome-menus.i386                         2.16.0-2.fc6           installed       
gnome-panel.i386                         2.16.1-3.fc6           installed       
gnome-pilot.i386                         2.0.15-1.fc6           installed       
gnome-utils.i386                         1:2.16.0-1.fc6         installed       
gnome-utils-devel.i386                   1:2.16.0-1.fc6         installed       
gnome-vfs2.i386                          2.16.2-2.fc6           installed       
gnome-vfs2-devel.i386                    2.16.2-2.fc6           installed       
gnutls.i386                              1.4.1-2                installed       
gphoto2.i386                             2.2.0-2.1              installed       
gpm.i386                                 1.20.1-74.1            installed       
gpm-devel.i386                           1.20.1-74.1            installed       
gstreamer.i386                           0.10.10-2.fc6          installed       
gstreamer-plugins-base.i386              0.10.10-1.fc6          installed       
gtk2.i386                                2.10.4-10.fc6          installed       
gtk2-devel.i386                          2.10.4-10.fc6          installed       
gtk2-engines.i386                        2.8.0-1.fc6            installed       
gtkhtml3.i386                            3.12.2-1.fc6           installed       
gtkspell.i386                            2.0.11-2.1             installed       
hal.i386                                 0.5.8.1-5.fc6          installed       
hal-devel.i386                           0.5.8.1-6.fc6          installed       
hesiod.i386                              3.1.0-8                installed       
hesiod-devel.i386                        3.1.0-8                installed       
kdebindings.i386                         3.5.5-0.1.fc6          installed       
kdegraphics.i386                         7:3.5.5-0.1.fc6        installed       
kdelibs.i386                             6:3.5.5-0.2.fc6        installed       
kdepim.i386                              6:3.5.5-0.2.fc6        installed       
kdesdk.i386                              3.5.5-0.1.fc6          installed       
kdesdk-devel.i386                        3.5.5-0.1.fc6          installed       
kdnssd-avahi.i386                        0.1.3-0.1.20060713svn. installed       
krb5-devel.i386                          1.5-7                  installed       
krb5-libs.i386                           1.5-7                  installed       
krbafs.i386                              1.2.2-10.1             installed       
krbafs-devel.i386                        1.2.2-10.1             installed       
kudzu-devel.i386                         1.2.57.6-1             installed       
lcms.i386                                1.15-1.2.2             installed       
libICE.i386                              1.0.1-2.1              installed       
libICE-devel.i386                        1.0.1-2.1              installed       
libIDL.i386                              0.8.7-1.fc6            installed       
libIDL-devel.i386                        0.8.7-1.fc6            installed       
libSM.i386                               1.0.1-3.1              installed       
libSM-devel.i386                         1.0.1-3.1              installed       
libX11.i386                              1.0.3-5.fc6            installed       
libX11-devel.i386                        1.0.3-5.fc6            installed       
libXScrnSaver.i386                       1.1.0-3.1              installed       
libXScrnSaver-devel.i386                 1.1.0-3.1              installed       
libXTrap.i386                            1.0.0-3.1              installed       
libXTrap-devel.i386                      1.0.0-3.1              installed       
libXau.i386                              1.0.1-3.1              installed       
libXau-devel.i386                        1.0.1-3.1              installed       
libXaw.i386                              1.0.2-8.1              installed       
libXaw-devel.i386                        1.0.2-8.1              installed       
libXcomposite.i386                       0.3-5.1                installed       
libXcomposite-devel.i386                 0.3-5.1                installed       
libXcursor.i386                          1.1.7-1.1              installed       
libXcursor-devel.i386                    1.1.7-1.1              installed       
libXdamage.i386                          1.0.3-2.1              installed       
libXdamage-devel.i386                    1.0.3-2.1              installed       
libXdmcp.i386                            1.0.1-2.1              installed       
libXdmcp-devel.i386                      1.0.1-2.1              installed       
libXevie.i386                            1.0.1-3.1              installed       
libXevie-devel.i386                      1.0.1-3.1              installed       
libXext.i386                             1.0.1-2.1              installed       
libXext-devel.i386                       1.0.1-2.1              installed       
libXfixes.i386                           4.0.1-2.1              installed       
libXfixes-devel.i386                     4.0.1-2.1              installed       
libXfont.i386                            1.2.2-1.fc6            installed       
libXfont-devel.i386                      1.2.2-1.fc6            installed       
libXfontcache.i386                       1.0.2-3.1              installed       
libXfontcache-devel.i386                 1.0.2-3.1              installed       
libXft.i386                              2.1.10-1.1             installed       
libXft-devel.i386                        2.1.10-1.1             installed       
libXi.i386                               1.0.1-3.1              installed       
libXinerama.i386                         1.0.1-2.1              installed       
libXmu.i386                              1.0.2-5                installed       
libXmu-devel.i386                        1.0.2-5                installed       
libXpm.i386                              3.5.5-3                installed       
libXrandr.i386                           1.1.1-3.1              installed       
libXrandr-devel.i386                     1.1.1-3.1              installed       
libXrender.i386                          0.9.1-3.1              installed       
libXrender-devel.i386                    0.9.1-3.1              installed
 
Old 01-12-2007, 12:58 AM   #13
markelo
Member
 
Registered: Mar 2004
Distribution: Red hat 9 -> 64bit fedora
Posts: 190

Original Poster
Rep: Reputation: 30
And then rest of 32-bit packages

Code:
libXres.i386                             1.0.1-3.1              installed       
libXres-devel.i386                       1.0.1-3.1              installed       
libXt.i386                               1.0.2-3.1.fc6          installed       
libXt-devel.i386                         1.0.2-3.1.fc6          installed       
libXtst.i386                             1.0.1-3.1              installed       
libXtst-devel.i386                       1.0.1-3.1              installed       
libXv.i386                               1.0.1-4.1              installed       
libXv-devel.i386                         1.0.1-4.1              installed       
libXvMC.i386                             1.0.2-2.1              installed       
libXvMC-devel.i386                       1.0.2-2.1              installed       
libXxf86dga.i386                         1.0.1-3.1              installed       
libXxf86dga-devel.i386                   1.0.1-3.1              installed       
libXxf86misc.i386                        1.0.1-3.1              installed       
libXxf86misc-devel.i386                  1.0.1-3.1              installed       
libXxf86vm.i386                          1.0.1-3.1              installed       
libXxf86vm-devel.i386                    1.0.1-3.1              installed       
libacl.i386                              2.2.39-1.1             installed       
libacl-devel.i386                        2.2.39-1.1             installed       
libao.i386                               0.8.6-3                installed       
libart_lgpl.i386                         2.3.17-4               installed       
libart_lgpl-devel.i386                   2.3.17-4               installed       
libattr.i386                             2.4.32-1.1             installed       
libattr-devel.i386                       2.4.32-1.1             installed       
libbonobo.i386                           2.16.0-1.fc6           installed       
libbonobo-devel.i386                     2.16.0-1.fc6           installed       
libbonoboui.i386                         2.16.0-1.fc6           installed       
libcap.i386                              1.10-25                installed       
libcap-devel.i386                        1.10-25                installed       
libcroco.i386                            0.6.1-2.1              installed       
libdaemon.i386                           0.10-3.2               installed       
libdrm.i386                              2.3.0-1.fc6            installed       
libdrm-devel.i386                        2.3.0-1.fc6            installed       
libevent.i386                            1.1a-3.2.1             installed       
libexif.i386                             0.6.13-2               installed       
libfontenc.i386                          1.0.2-2.1              installed       
libgcc.i386                              4.1.1-30               installed       
libgcj.i386                              4.1.1-51.fc6           installed       
libgcrypt.i386                           1.2.3-1                installed       
libglade-java.i386                       2.12.5-3.fc6           installed       
libglade2.i386                           2.6.0-2                installed       
libglade2-devel.i386                     2.6.0-2                installed       
libgnome.i386                            2.16.0-4.fc6           installed       
libgnome-devel.i386                      2.16.0-4.fc6           installed       
libgnome-java.i386                       2.12.4-3.fc6           installed       
libgnomecanvas.i386                      2.14.0-4.1             installed       
libgnomecanvas-devel.i386                2.14.0-4.1             installed       
libgnomecups.i386                        0.2.2-8                installed       
libgnomeprint22.i386                     2.12.1-8               installed       
libgnomeprintui22.i386                   2.12.1-6               installed       
libgnomeprintui22-devel.i386             2.12.1-6               installed       
libgnomeui.i386                          2.16.0-4.fc6           installed       
libgpg-error.i386                        1.4-2                  installed       
libgsf.i386                              1.14.1-7               installed       
libgtk-java.i386                         2.8.7-2.fc6            installed       
libgtk-java-devel.i386                   2.8.7-2.fc6            installed       
libgtop2.i386                            2.14.4-2.fc6           installed       
libgtop2-devel.i386                      2.14.4-2.fc6           installed       
libicu.i386                              3.6-4                  installed       
libidn.i386                              0.6.5-1.1              installed       
libieee1284.i386                         0.2.9-3.2.2            installed       
libjpeg.i386                             6b-37                  installed       
libjpeg-devel.i386                       6b-37                  installed       
libmng.i386                              1.0.9-5.1              installed       
libmng-devel.i386                        1.0.9-5.1              installed       
libnotify.i386                           0.4.2-5.fc6            installed       
libogg.i386                              2:1.1.3-2.fc6          installed       
libogg-devel.i386                        2:1.1.3-2.fc6          installed       
liboil.i386                              0.3.8-2.1              installed       
libpng.i386                              2:1.2.10-7             installed       
libpng-devel.i386                        2:1.2.10-7             installed       
libraw1394.i386                          1.2.1-1.fc6            installed       
librsvg2.i386                            2.16.1-1.fc6           installed       
librsvg2-devel.i386                      2.16.1-1.fc6           installed       
libselinux.i386                          1.33.2-3.fc6           installed       
libselinux-devel.i386                    1.33.2-3.fc6           installed       
libsepol.i386                            1.15.3-1.fc6           installed       
libsilc.i386                             1.0.2-2.fc6            installed       
libsoup.i386                             2.2.98-1.fc6           installed       
libstdc++.i386                           4.1.1-30               installed       
libsysfs.i386                            2.0.0-6                installed       
libtermcap.i386                          2.0.8-46.1             installed       
libtermcap-devel.i386                    2.0.8-46.1             installed       
libtheora.i386                           1.0alpha7-1            installed       
libtiff.i386                             3.8.2-6.fc6            installed       
libtiff-devel.i386                       3.8.2-6.fc6            installed       
libtool-ltdl.i386                        1.5.22-6.1             installed       
libtool-ltdl-devel.i386                  1.5.22-6.1             installed       
libusb.i386                              0.1.12-5.1             installed       
libuser.i386                             0.54.7-2               installed       
libuser-devel.i386                       0.54.7-2               installed       
libutempter.i386                         1.1.4-3.fc6            installed       
libvolume_id.i386                        095-14                 installed       
libvorbis.i386                           1:1.1.2-1.2.1          installed       
libvorbis-devel.i386                     1:1.1.2-1.2.1          installed       
libwmf.i386                              0.2.8.4-10             installed       
libwnck.i386                             2.16.0-4.fc6           installed       
libxkbfile.i386                          1.0.3-3.1              installed       
libxklavier.i386                         3.0-2.fc6              installed       
libxml2.i386                             2.6.27-1.FC6           installed       
libxml2-devel.i386                       2.6.27-1.FC6           installed       
libxslt.i386                             1.1.18-1.FC6           installed       
linuxwacom.i386                          0.7.4_1-2.1            installed       
lm_sensors.i386                          2.10.0-3.1             installed       
lm_sensors-devel.i386                    2.10.0-3.1             installed       
lockdev.i386                             1.0.1-10               installed       
lockdev-devel.i386                       1.0.1-10               installed       
mesa-libGL.i386                          6.5.1-8.fc6            installed       
mesa-libGL-devel.i386                    6.5.1-8.fc6            installed       
mesa-libGLU.i386                         6.5.1-8.fc6            installed       
mesa-libGLU-devel.i386                   6.5.1-8.fc6            installed       
mesa-libOSMesa.i386                      6.5.1-8.fc6            installed       
metacity.i386                            2.16.0-5.fc6           installed       
mkinitrd.i386                            5.1.19.0.2-1           installed       
nautilus-cd-burner.i386                  2.16.0-6.fc6           installed       
nautilus-extensions.i386                 2.16.2-5.fc6           installed       
ncurses.i386                             5.5-24.20060715        installed       
ncurses-devel.i386                       5.5-24.20060715        installed       
neon.i386                                0.25.5-5.1             installed       
netpbm.i386                              10.35-6.fc6            installed       
netpbm-devel.i386                        10.35-6.fc6            installed       
newt.i386                                0.52.2-9               installed       
newt-devel.i386                          0.52.2-9               installed       
nspr.i386                                4.6.4-0.6.fc6          installed       
nss.i386                                 3.11.4-0.6.fc6         installed       
openldap.i386                            2.3.27-4               installed       
openldap-devel.i386                      2.3.27-4               installed       
openssl-devel.i386                       0.9.8b-8.3.fc6         installed       
pam.i386                                 0.99.6.2-3.9.fc6       installed       
pam-devel.i386                           0.99.6.2-3.9.fc6       installed       
pam_ccreds.i386                          3-5                    installed       
pam_krb5.i386                            2.2.11-1               installed       
pam_passwdqc.i386                        1.0.2-1.2.2            installed       
pam_pkcs11.i386                          0.5.3-22               installed       
pam_smb.i386                             1.1.7-7.2.1            installed       
pango.i386                               1.14.8-1.fc6           installed       
pango-devel.i386                         1.14.8-1.fc6           installed       
parted.i386                              1.8.1-1.fc6            installed       
passwd.i386                              0.73-1                 installed       
patchutils.i386                          0.2.31-2.2.2           installed       
pax.i386                                 3.4-1.2.2              installed       
pciutils-devel.i386                      2.2.3-4                installed       
pcre.i386                                6.6-1.1                installed       
pcsc-lite-devel.i386                     1.3.1-7                installed       
pcsc-lite-libs.i386                      1.3.1-7                installed       
perl.i386                                4:5.8.8-10             installed       
pilot-link.i386                          2:0.11.8-16            installed       
popt.i386                                1.10.2-32              installed       
postgresql-libs.i386                     8.1.4-1.1              installed       
pycairo-devel.i386                       1.2.6-1.fc6            installed       
pygobject2-devel.i386                    2.12.3-1.fc6           installed       
pygtk2-devel.i386                        2.10.3-4.fc6           installed       
python-devel.i386                        2.4.4-1.fc6            installed       
qt.i386                                  1:3.3.7-0.1.fc6        installed       
qt-devel.i386                            1:3.3.7-0.1.fc6        installed       
readline.i386                            5.1-1.1                installed       
readline-devel.i386                      5.1-1.1                installed       
rpm-devel.i386                           4.4.2-32               installed       
rpm-libs.i386                            4.4.2-32               installed       
ruby-libs.i386                           1.8.5.2-1.fc6          installed       
samba-common.i386                        3.0.23c-2              installed       
sane-backends-libs.i386                  1.0.18-5.fc6           installed       
slang.i386                               2.0.6-3                installed       
slang-devel.i386                         2.0.6-3                installed       
sqlite.i386                              3.3.6-2                installed       
startup-notification.i386                0.8-4.1                installed       
subversion.i386                          1.4.2-2.fc6            installed       
tcl.i386                                 8.4.13-3.fc6           installed       
tcl-devel.i386                           8.4.13-3.fc6           installed       
tcp_wrappers.i386                        7.6-40.2.1             installed       
tk.i386                                  8.4.13-3.fc6           installed       
tk-devel.i386                            8.4.13-3.fc6           installed       
totem.i386                               2.16.3-1.fc6           installed       
totem-devel.i386                         2.16.3-1.fc6           installed       
valgrind.i386                            1:3.2.1-4              installed       
wireless-tools.i386                      1:28-1.fc6             installed       
xorg-x11-xtrans-devel.i386               1.0.1-1.1.fc6          installed       
zlib.i386                                1.2.3-3                installed       
zlib-devel.i386                          1.2.3-3                installed
 
Old 01-12-2007, 04:23 AM   #14
Hitboxx
Senior Member
 
Registered: Mar 2006
Location: India
Distribution: Fedora
Posts: 1,562
Blog Entries: 3

Rep: Reputation: 61
Ok now let's get a little adventurous, shall we? First of, 'yum list installed | avahi'. If you got x86_64 installed here, kick out the unwanted i386. 'yum remove avahi.i386'. This will also remove a lot of unwanted i386 packages. So its a good staring point.
 
Old 01-12-2007, 06:07 AM   #15
markelo
Member
 
Registered: Mar 2004
Distribution: Red hat 9 -> 64bit fedora
Posts: 190

Original Poster
Rep: Reputation: 30
Quote:
Originally Posted by shrikant.odugoudar
Ok now let's get a little adventurous, shall we? First of, 'yum list installed | avahi'. If you got x86_64 installed here, kick out the unwanted i386. 'yum remove avahi.i386'. This will also remove a lot of unwanted i386 packages. So its a good staring point.
Alright. removing avahi.i386 would also remove 41 other packages including 32-bit firefox which I would like to use sometimes.

Could mention what you are after ? Are some i386 packages bad or what ?

Just for information I am developing both 32-bit and 64-bit software in this machine and always make performance comparisons between compiled applications.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Easy question: yum update on FC6-x86_64 bugmenot60 Fedora 2 01-17-2007 10:31 AM
FC6 - yum ndiswrapper install has old kernel dependency mrjogo Linux - Wireless Networking 7 01-04-2007 05:48 AM
Can't do yum update on FC6 x86_64 bugmenot60 Fedora 1 12-12-2006 12:07 AM
yum can't install some groups in 64-bit FC6 markelo Fedora 5 11-07-2006 05:44 AM
Query re: order of yum update and yum install jajtiii Linux - General 0 12-12-2005 12:48 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora

All times are GMT -5. The time now is 04:24 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration